import React from 'react';
import i18next from 'i18next';
import { i18nextReactInitConfig } from '@brojs/cli/lib/i18next';
import { createRoot } from 'react-dom/client'

import App from './app';

i18next.t = i18next.t.bind(i18next);
const i18nextPromise = i18nextReactInitConfig(i18next);
const MOUNT_NODE = document.getElementById('app');

(async () => {
    await Promise.all([i18nextPromise]);
    const rootElement = createRoot(MOUNT_NODE)
    rootElement.render(<App  />);

    if (module.hot) {
        module.hot.accept('./app', async () => {
            await i18next.reloadResources();
            rootElement.render(<App />);
        });
    }
})();

export const mount = () => console.log('mounted');
export const unmount = () => console.log('unmounted');
